<?php
/**
 * @version     $Id$
 * @package     Personnel
 * @subpackage  com_personnel
 * @copyright   Copyright 2010 - 2011 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

//JHtml::addIncludePath(JPATH_COMPONENT.'helpers/html');
JHtml::stylesheet('com_personnel/admin.css', null, true);
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
?>
<script type="text/javascript">
	// Attach a behaviour to the submit button to check validation.
	Joomla.submitbutton = function(task)
	{
		var form = document.id('staff-form');
		if (task == 'staff.cancel' || document.formvalidator.isValid(form)) {
			<?php echo $this->form->getField('body')->save(); ?>
			Joomla.submitform(task, form);
		}
		else {
			<?php JText::script('COM_PERSONNEL_ERROR_N_INVALID_FIELDS'); ?>
			// Count the fields that are invalid.
			var elements = form.getElements('fieldset').concat(Array.from(form.elements));
			var invalid = 0;

			for (var i = 0; i < elements.length; i++) {
				if (document.formvalidator.validate(elements[i]) == false) {
					valid = false;
					invalid++;
				}
			}

			alert(Joomla.JText._('COM_PERSONNEL_ERROR_N_INVALID_FIELDS').replace('%d', invalid));
		}
	}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_personnel&layout=edit&id='.(int) $this->item->id); ?>"
	method="post" name="adminForm" id="staff-form" class="form-validate">
	<div class="width-60 fltlft">
		<fieldset class="adminform">
			<ul class="adminformlist">
				<li>
					<?php echo $this->form->getLabel('title'); ?>
					<?php echo $this->form->getInput('title'); ?>
				</li>

				<li>
					<?php echo $this->form->getLabel('department_id'); ?>
					<?php echo $this->form->getInput('department_id'); ?>
				</li>

				<li>
					<?php echo $this->form->getLabel('position'); ?>
					<?php echo $this->form->getInput('position'); ?>
				</li>

				<li>
					<?php echo $this->form->getLabel('phone_1'); ?>
					<?php echo $this->form->getInput('phone_1'); ?>
				</li>

				<li>
					<?php echo $this->form->getLabel('ext_1'); ?>
					<?php echo $this->form->getInput('ext_1'); ?>
				</li>

				<li>
					<?php echo $this->form->getLabel('phone_2'); ?>
					<?php echo $this->form->getInput('phone_2'); ?>
				</li>

				<li>
					<?php echo $this->form->getLabel('ext_2'); ?>
					<?php echo $this->form->getInput('ext_2'); ?>
				</li>

				<li>
					<?php echo $this->form->getLabel('email'); ?>
					<?php echo $this->form->getInput('email'); ?>
				</li>

				<li>
					<?php echo $this->form->getLabel('address_1'); ?>
					<?php echo $this->form->getInput('address_1'); ?>
				</li>

				<li>
					<?php echo $this->form->getLabel('address_2'); ?>
					<?php echo $this->form->getInput('address_2'); ?>
				</li>

				<li>
					<?php echo $this->form->getLabel('address_3'); ?>
					<?php echo $this->form->getInput('address_3'); ?>
				</li>

				<li>
					<?php echo $this->form->getLabel('address_4'); ?>
					<?php echo $this->form->getInput('address_4'); ?>
				</li>
			</ul>

			<?php echo $this->form->getLabel('body'); ?>
			<div class="clr"></div>
			<?php echo $this->form->getInput('body'); ?>

		</fieldset>
	</div>
	<div class="width-40 fltrt">
		<?php echo JHtml::_('sliders.start','staff-sliders-'.$this->item->id, array('useCookie' => 1)); ?>

		<?php echo $this->loadTemplate('otheroptions'); ?>
		
		<?php echo $this->loadTemplate('metadata'); ?>

	</div>
	<div class="clr"></div>

	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
</form>